#
# spec file for package automake (Version 1.9.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip help2man info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           automake
BuildRequires:  help2man
License:        GPL
Group:          Development/Tools/Building
Autoreqprov:    on
PreReq:         %{install_info_prereq}
Version:        1.9.6
Release:        13.2
%define apiversion %(echo %version | sed -e 's/^\\([0-9]*\\.[0-9]*[a-z]*\\).*$/\\1/')
Summary:        A Program for Automatically Generating GNU-Style Makefile.in Files
URL:            http://www.gnu.org/software/automake
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         automake-%{version}.tar.bz2
Source1:        SuSEconfig.automake
Patch:          automake-ltclash.diff
Patch1:         automake-SuSE.patch
Patch2:         subdir-objects.patch
Patch3:         require_file.patch

%description
Automake is a tool for automatically generating "Makefile.in" files
from "Makefile.am" files.  "Makefile.am" is a series of "make" macro
definitions (with rules occasionally thrown in).  The generated
"Makefile.in" files are compatible with the GNU Makefile standards.



Authors:
--------
    Tom Tromey  <tromey@cygnus.com>

%debug_package
%prep
%setup -q -n automake-%{version}
%patch
%patch1
%patch2
%patch3

%build
./configure --prefix=/usr --infodir=%{_infodir} --mandir=%{_mandir}
make
# Some architectures can't keep up the pace.
%ifnarch alpha
make check VERBOSE=1
%endif

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/usr/share/aclocal/dirlist.d
echo /usr/local/share/aclocal >$RPM_BUILD_ROOT/usr/share/aclocal/dirlist.d/local
touch $RPM_BUILD_ROOT/etc/aclocal_dirlist
(cd $RPM_BUILD_ROOT/usr/share/aclocal ; ln -s ../../../etc/aclocal_dirlist dirlist)
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
install %{S:1} $RPM_BUILD_ROOT/sbin/conf.d
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
perllibdir=lib help2man -S FSF ./aclocal > $RPM_BUILD_ROOT%{_mandir}/man1/aclocal.1
perllibdir=lib help2man -S FSF ./automake > $RPM_BUILD_ROOT%{_mandir}/man1/automake.1

%post
%install_info --info-dir=%{_infodir} %{_infodir}/automake.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/automake.info.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
/usr/bin/aclocal
/usr/bin/aclocal-%{apiversion}
/usr/bin/automake
/usr/bin/automake-%{apiversion}
%doc %{_infodir}/automake.info*.gz
%doc %{_mandir}/man1/*
%dir /usr/share/aclocal
/usr/share/aclocal-%{apiversion}
/usr/share/automake-%{apiversion}
/usr/share/aclocal/dirlist
%dir /usr/share/aclocal/dirlist.d
/usr/share/aclocal/dirlist.d/local
%ghost %config /etc/aclocal_dirlist
/sbin/conf.d/SuSEconfig.automake

%changelog -n automake
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jul 11 2005 - schwab@suse.de
- Update to automake 1.9.6.
* Sun May 08 2005 - schwab@suse.de
- Some architectures can't keep up the pace.
* Sat May 07 2005 - matz@suse.de
- Split away an automake-check package, which does the make check.
* Sun Feb 13 2005 - schwab@suse.de
- Update to automake 1.9.5.
* Fri Jan 14 2005 - schwab@suse.de
- Fix require_file_internal to handle file names with directories [#49822].
* Wed Jan 12 2005 - schwab@suse.de
- Update to automake 1.9.4.
* Thu Nov 25 2004 - ro@suse.de
- incremental fix for py-compile
* Fri Nov 19 2004 - schwab@suse.de
- Fix py-compile to avoid putting $(DESTDIR) in the output.
* Mon Nov 01 2004 - schwab@suse.de
- Update to automake 1.9.3.
* Fri Oct 08 2004 - schwab@suse.de
- Update to automake 1.9.2.
* Mon Aug 30 2004 - schwab@suse.de
- Fix $PATH_PATTERN.
* Tue Aug 17 2004 - schwab@suse.de
- Fix handling of subdir-objects.
* Thu Aug 12 2004 - schwab@suse.de
- Update to automake 1.9.1.
* Thu Jul 29 2004 - schwab@suse.de
- Update to automake 1.9.
* Mon Jul 19 2004 - schwab@suse.de
- Fix quoting.
* Sat Jul 17 2004 - schwab@suse.de
- Update to automake 1.8d (1.9 release candidate).
* Mon May 17 2004 - schwab@suse.de
- Update to automake 1.8.5.
* Tue May 04 2004 - schwab@suse.de
- Update to automake 1.8.4.
* Sun Mar 07 2004 - schwab@suse.de
- Update to automake 1.8.3.
* Sat Jan 17 2004 - schwab@suse.de
- Fix race condition in testsuite.
* Tue Jan 13 2004 - schwab@suse.de
- Update to automake 1.8.2.
* Mon Jan 12 2004 - schwab@suse.de
- Update to automake 1.8.1.
* Thu Jan 08 2004 - schwab@suse.de
- Fix use of undefined value.
* Thu Dec 11 2003 - schwab@suse.de
- Update to automake 1.8.
* Mon Nov 10 2003 - schwab@suse.de
- Update to automake 1.7.9.
* Tue Oct 07 2003 - schwab@suse.de
- Update to automake 1.7.8.
* Mon Sep 08 2003 - schwab@suse.de
- Update to automake 1.7.7.
* Wed Jul 16 2003 - sbrabec@suse.cz
- Added support for /usr/share/aclocal/dirlist.
* Fri Jul 11 2003 - schwab@suse.de
- Update to automake 1.7.6.
* Tue Jun 10 2003 - schwab@suse.de
- Update to automake 1.7.5.
* Mon May 12 2003 - schwab@suse.de
- Add %%defattr.
* Fri Apr 25 2003 - schwab@suse.de
- Update to automake 1.7.3.
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Mon Apr 07 2003 - schwab@suse.de
- Only delete info entries when removing last version.
* Thu Feb 06 2003 - schwab@suse.de
- Use %%install_info.
* Mon Jan 20 2003 - schwab@suse.de
- Fix python macros properly.
* Fri Dec 06 2002 - schwab@suse.de
- Update to automake 1.7.2.
  * Many bug fixes.
* Thu Nov 21 2002 - schwab@suse.de
- Fix ansi2knr option.
* Mon Nov 18 2002 - ro@suse.de
- use /.buildenv like /etc/SuSE-release
* Fri Sep 27 2002 - schwab@suse.de
- Update to automake 1.7.
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Mon Aug 05 2002 - schwab@suse.de
- Update to automake 1.6.3.
  * Support for AM_INIT_GETTEXT([external])
  * Bug fixes
* Thu Jun 20 2002 - schwab@suse.de
- Fix python macros for lib64.
* Sat Jun 15 2002 - schwab@suse.de
- Update to automake 1.6.2.
  * Bug fix release.
* Fri Apr 12 2002 - schwab@suse.de
- Update to automake 1.6.1.
* Fri Mar 29 2002 - schwab@suse.de
- Fix typo check.
- Disable libtool vs. normal check.
- Make dependency generation work with KDE.
* Mon Mar 11 2002 - schwab@suse.de
- Add versioned links to automake and aclocal.
* Thu Mar 07 2002 - schwab@suse.de
- Update to automake 1.6.
* Wed Jan 23 2002 - schwab@suse.de
- Fix nonportable test option in config.guess.
* Sun Dec 16 2001 - adrian@suse.de
- fix config.guess to recognize SGI mips systems as big endian systems
- bzip2 sources
* Mon Aug 27 2001 - schwab@suse.de
- Update to automake 1.5.
* Thu Aug 09 2001 - ro@suse.de
- fixed problem when installing lisp files
* Thu Jul 19 2001 - schwab@suse.de
- Update to automake 1.4-p5.
* Tue Jun 12 2001 - olh@suse.de
- recognize ppc64
* Tue Jun 12 2001 - olh@suse.de
- fix typo in automake-1.4-SuSE.patch
* Mon Jun 11 2001 - schwab@suse.de
- Recognize AC_PROG_LIBTOOL as well as AM_PROG_LIBTOOL.
* Mon Jun 11 2001 - schwab@suse.de
- Update to automake 1.4-p4.
* Sat May 26 2001 - schwab@suse.de
- Update to automake 1.4-p2.
* Wed May 09 2001 - schwab@suse.de
- Update to automake 1.4-p1.
* Fri May 04 2001 - schwab@suse.de
- Fix automake script for libtool 1.4.
* Fri Mar 30 2001 - schwab@suse.de
- config.sub: don't try to fill missing parts by looking at the host
  system.
* Thu Feb 15 2001 - schwab@suse.de
- Update config.{guess,sub} to latest version.
* Wed Sep 13 2000 - schwab@suse.de
- Add bzip2 patch from kkaempf@suse.de.
* Mon Aug 21 2000 - werner@suse.de
- Use vendor within config.sub even for s390
* Mon May 01 2000 - kukuk@suse.de
- Use mandir und infodir macro
* Wed Mar 29 2000 - bk@suse.de
- updated config.guess and config.sub for s390
* Wed Mar 01 2000 - werner@suse.de
- Add arm/ppc patch from teTeX sources
- Make VENDOR=suse if /etc/SuSE-release exists, remove `-gnu', and
  use $VERNDOR for all Linux architectures.
* Tue Feb 15 2000 - schwab@suse.de
- Update config.{guess,sub} to latest version.
* Thu Jan 20 2000 - kukuk@suse.de
- Move /usr/{info,man} -> /usr/share/{info,man}
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Aug 26 1999 - kukuk@suse.de
- Add automake.1, aclocal.1 and other documentation
- Add make check to build section
* Fri Feb 26 1999 - florian@suse.de
- update to 1.4
* Fri Jun 19 1998 - ro@suse.de
- update to 1.3 using dif from jurix
* Wed Jun 25 1997 - florian@suse.de
- update to version 1.2
* Thu Jan 02 1997 - florian@suse.de
  new version 1.0
